Index: trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1714)
+++ trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1717)
@@ -523,22 +523,14 @@
 	daymod.F90
 $(MODEL_LIB)(dianam.o) :	\
-	dom_oce.F90 \
 	in_out_manager.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	par_kind.F90 \
+	par_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -564,12 +556,7 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	daymod.F90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
 	dommsk.F90 \
 	dom_oce.F90 \
@@ -578,5 +565,4 @@
 	in_out_manager.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dommsk.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -675,7 +661,7 @@
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
-	daymod.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	domrea_dimg.h90 \
@@ -926,23 +912,15 @@
 	iom_rstdimg.F90
 $(MODEL_LIB)(istate.o) :	\
-	dom_oce.F90 \
 	in_out_manager.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldftra_oce.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	par_kind.F90 \
+	par_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldftra_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1128,5 +1106,4 @@
 	lib_print.f90
 $(MODEL_LIB)(model.o) :	\
-	daymod.F90 \
 	domain.F90 \
 	domcfg.F90 \
@@ -1139,5 +1116,4 @@
 	ldftra.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(domain.o) \
 	$(MODEL_LIB)(domcfg.o) \
@@ -1222,11 +1198,9 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1353,5 +1327,4 @@
 	zpshde.F90 \
 	zpshde_trc.F90 \
-	daymod.F90 \
 	domain.F90 \
 	domcfg.F90 \
@@ -1364,5 +1337,4 @@
 	ldftra.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(domain.o) \
 	$(MODEL_LIB)(domcfg.o) \
@@ -1390,5 +1362,4 @@
 	opa.F90
 $(MODEL_LIB)(p4zbio.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -1402,5 +1373,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1490,11 +1460,9 @@
 	p4zbio.F90
 $(MODEL_LIB)(p4zche.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1534,5 +1502,4 @@
 	p4zche.F90
 $(MODEL_LIB)(p4zflx.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -1545,5 +1512,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1604,11 +1570,9 @@
 	p4zflx.F90
 $(MODEL_LIB)(p4zint.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1638,4 +1602,6 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
+	dom_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
@@ -1647,11 +1613,9 @@
 	p4zint.F90
 $(MODEL_LIB)(p4zlim.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1691,5 +1655,4 @@
 	p4zlim.F90
 $(MODEL_LIB)(p4zlys.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -1702,5 +1665,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1750,5 +1712,4 @@
 	p4zlys.F90
 $(MODEL_LIB)(p4zmeso.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -1762,5 +1723,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1822,5 +1782,4 @@
 	p4zmeso.F90
 $(MODEL_LIB)(p4zmicro.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -1834,5 +1793,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1894,5 +1852,4 @@
 	p4zmicro.F90
 $(MODEL_LIB)(p4zmort.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -1901,5 +1858,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1952,5 +1908,4 @@
 	p4zmort.F90
 $(MODEL_LIB)(p4zopt.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -1963,5 +1918,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2010,5 +1964,4 @@
 	p4zopt.F90
 $(MODEL_LIB)(p4zprod.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -2022,5 +1975,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2086,5 +2038,4 @@
 	p4zprod.F90
 $(MODEL_LIB)(p4zrem.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -2093,5 +2044,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2162,5 +2112,4 @@
 	p4zrem.F90
 $(MODEL_LIB)(p4zsed.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -2174,5 +2123,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2272,5 +2220,4 @@
 	p4zsed.F90
 $(MODEL_LIB)(p4zsink.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -2283,5 +2230,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2460,5 +2406,4 @@
 	prtctl.F90
 $(MODEL_LIB)(prtctl_trc.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -2467,5 +2412,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2529,8 +2473,6 @@
 	sbcrnf.F90
 $(MODEL_LIB)(sedadv.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2561,8 +2503,6 @@
 	sedarr.F90
 $(MODEL_LIB)(sedbtb.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2586,8 +2526,6 @@
 	sedbtb.F90
 $(MODEL_LIB)(sedchem.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2609,8 +2547,6 @@
 	sedchem.F90
 $(MODEL_LIB)(sedco3.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2630,8 +2566,6 @@
 	sedco3.F90
 $(MODEL_LIB)(seddsr.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2657,5 +2591,4 @@
 	seddsr.F90
 $(MODEL_LIB)(seddta.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -2665,5 +2598,4 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2692,10 +2624,6 @@
 	seddta.F90
 $(MODEL_LIB)(sed.o) :	\
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	iom.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lib_print.o) \
@@ -2705,6 +2633,4 @@
 	$(MODEL_LIB)(par_pisces.o) \
 	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
@@ -2715,13 +2641,9 @@
 	par_pisces.F90 \
 	par_trc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
 	prtctl_trc.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2739,5 +2661,4 @@
 	sed.F90
 $(MODEL_LIB)(sedini.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -2749,5 +2670,4 @@
 	lbclnk.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2796,8 +2716,6 @@
 	sedini.F90
 $(MODEL_LIB)(sedmat.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2817,8 +2735,6 @@
 	sedmat.F90
 $(MODEL_LIB)(sedmbc.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2846,9 +2762,7 @@
 	sedmbc.F90
 $(MODEL_LIB)(sedmodel.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
 	iom.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2897,5 +2811,4 @@
 	sedmodel.F90
 $(MODEL_LIB)(sedrst.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -2905,5 +2818,4 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2933,9 +2845,7 @@
 	sedrst.F90
 $(MODEL_LIB)(sedsfc.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
 	iom.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2964,10 +2874,8 @@
 	sedsfc.F90
 $(MODEL_LIB)(sedstp.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
 	iom.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3021,8 +2929,6 @@
 	sedstp.F90
 $(MODEL_LIB)(sedwri.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -3260,5 +3166,4 @@
 	traqsr.F90
 $(MODEL_LIB)(trcadv_cen2.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -3269,5 +3174,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3342,5 +3246,4 @@
 	trcadv_cen2.F90
 $(MODEL_LIB)(trcadv_muscl2.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -3351,5 +3254,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3426,5 +3328,4 @@
 	trcadv_muscl2.F90
 $(MODEL_LIB)(trcadv_muscl.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -3435,5 +3336,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3512,5 +3412,4 @@
 	trcadv_muscl.F90
 $(MODEL_LIB)(trcadv_smolar.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -3521,5 +3420,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3600,5 +3498,4 @@
 	trcadv_smolar.F90
 $(MODEL_LIB)(trcadv_tvd.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -3609,5 +3506,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3686,5 +3582,4 @@
 	trcadv_tvd.F90
 $(MODEL_LIB)(trcbbc.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -3698,5 +3593,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3770,5 +3664,4 @@
 	trcbbc.F90
 $(MODEL_LIB)(trcbbl.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -3778,5 +3671,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3853,5 +3745,4 @@
 	trcbbl.F90
 $(MODEL_LIB)(trcbio.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -3865,5 +3756,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3941,11 +3831,9 @@
 	trcbio.F90
 $(MODEL_LIB)(trcctl_c14b.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -3982,11 +3870,9 @@
 	trcctl_c14b.F90
 $(MODEL_LIB)(trcctl_cfc.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4023,11 +3909,9 @@
 	trcctl_cfc.F90
 $(MODEL_LIB)(trcctl.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4084,11 +3968,9 @@
 	trcctl.F90
 $(MODEL_LIB)(trcctl_lobster.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4125,11 +4007,9 @@
 	trcctl_lobster.F90
 $(MODEL_LIB)(trcctl_my_trc.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4166,11 +4046,9 @@
 	trcctl_my_trc.F90
 $(MODEL_LIB)(trcctl_pisces.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4207,5 +4085,4 @@
 	trcctl_pisces.F90
 $(MODEL_LIB)(trcdia.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -4214,5 +4091,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4248,7 +4124,9 @@
 	zdf_oce.F90 \
 	dianam.F90 \
+	dom_oce.F90 \
 	in_out_manager.F90 \
 	lib_mpp.F90 \
 	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -4270,5 +4148,4 @@
 	trcdia.F90
 $(MODEL_LIB)(trcdmp.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -4284,5 +4161,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -4365,5 +4241,4 @@
 	trcdmp.F90
 $(MODEL_LIB)(trcdta.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -4376,5 +4251,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4439,5 +4313,4 @@
 	trcdta.F90
 $(MODEL_LIB)(trcexp.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -4451,5 +4324,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -4548,5 +4420,4 @@
 	trc.F90
 $(MODEL_LIB)(trcini_c14b.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -4556,5 +4427,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4619,5 +4489,4 @@
 	trcini_c14b.F90
 $(MODEL_LIB)(trcini_cfc.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -4627,5 +4496,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4690,5 +4558,4 @@
 	trcini_cfc.F90
 $(MODEL_LIB)(trcini.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -4699,5 +4566,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4816,11 +4682,9 @@
 	trcini.F90
 $(MODEL_LIB)(trcini_lobster.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4878,11 +4742,9 @@
 	trcini_lobster.F90
 $(MODEL_LIB)(trcini_my_trc.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -4933,11 +4795,9 @@
 	trcini_my_trc.F90
 $(MODEL_LIB)(trcini_pisces.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5005,5 +4865,4 @@
 	trcini_pisces.F90
 $(MODEL_LIB)(trcldf_bilap.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -5013,5 +4872,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5081,5 +4939,4 @@
 	trcldf_bilap.F90
 $(MODEL_LIB)(trcldf_bilapg.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -5089,5 +4946,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5159,5 +5015,4 @@
 	trcldf_bilapg.F90
 $(MODEL_LIB)(trcldf_iso.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -5167,5 +5022,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5233,5 +5087,4 @@
 	trcldf_iso.F90
 $(MODEL_LIB)(trcldf_iso_zps.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -5241,5 +5094,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5307,5 +5159,4 @@
 	trcldf_iso_zps.F90
 $(MODEL_LIB)(trcldf_lap.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -5315,5 +5166,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5381,5 +5231,4 @@
 	trcldf_lap.F90
 $(MODEL_LIB)(trclec.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -5388,5 +5237,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5463,5 +5311,4 @@
 	trclec.F90
 $(MODEL_LIB)(trclsm_c14b.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -5471,5 +5318,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5534,5 +5380,4 @@
 	trclsm_c14b.F90
 $(MODEL_LIB)(trclsm_cfc.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -5542,5 +5387,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5605,5 +5449,4 @@
 	trclsm_cfc.F90
 $(MODEL_LIB)(trclsm_lobster.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -5612,5 +5455,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5666,11 +5508,9 @@
 	trclsm_lobster.F90
 $(MODEL_LIB)(trclsm_my_trc.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5721,5 +5561,4 @@
 	trclsm_my_trc.F90
 $(MODEL_LIB)(trclsm_pisces.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -5728,5 +5567,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5782,5 +5620,4 @@
 	trclsm_pisces.F90
 $(MODEL_LIB)(trcnxt.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -5790,5 +5627,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -5878,11 +5714,9 @@
 	trc_oce.F90
 $(MODEL_LIB)(trcopt.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -5926,5 +5760,4 @@
 	trcopt.F90
 $(MODEL_LIB)(trcrad.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -5934,5 +5767,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6002,5 +5834,4 @@
 	trcrad.F90
 $(MODEL_LIB)(trcrst.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -6014,5 +5845,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6086,5 +5916,4 @@
 	trcrst.F90
 $(MODEL_LIB)(trcsbc.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -6094,5 +5923,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6160,5 +5988,4 @@
 	trcsbc.F90
 $(MODEL_LIB)(trcsed.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -6172,5 +5999,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6244,5 +6070,4 @@
 	trcsed.F90
 $(MODEL_LIB)(trcsms_c14b.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -6256,5 +6081,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6340,5 +6164,4 @@
 	trcsms_c14b.F90
 $(MODEL_LIB)(trcsms_cfc.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -6352,5 +6175,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6436,5 +6258,4 @@
 	trcsms_cfc.F90
 $(MODEL_LIB)(trcsms.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -6444,5 +6265,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -6525,5 +6345,4 @@
 	trcsms.F90
 $(MODEL_LIB)(trcsms_lobster.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -6534,5 +6353,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6606,5 +6424,4 @@
 	trcsms_lobster.F90
 $(MODEL_LIB)(trcsms_my_trc.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -6614,5 +6431,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6687,5 +6503,4 @@
 	trcsms_my_trc.F90
 $(MODEL_LIB)(trcsms_pisces.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -6696,5 +6511,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6775,6 +6589,8 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
+	dom_oce.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -6807,5 +6623,4 @@
 $(MODEL_LIB)(trcstp.o) :	\
 	agrif_top_sponge.F90 \
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -6822,5 +6637,4 @@
 	lib_print.f90 \
 	$(MODEL_LIB)(agrif_top_sponge.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -6957,11 +6771,9 @@
 	trcstp.F90
 $(MODEL_LIB)(trctrp_ctl.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -7008,5 +6820,4 @@
 	agrif_top_interp.F90 \
 	agrif_top_update.F90 \
-	daymod.F90 \
 	dom_oce.F90 \
 	eosbn2.F90 \
@@ -7019,5 +6830,4 @@
 	$(MODEL_LIB)(agrif_top_interp.o) \
 	$(MODEL_LIB)(agrif_top_update.o) \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -7125,11 +6935,9 @@
 	trctrp.F90
 $(MODEL_LIB)(trctrp_lec.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -7168,5 +6976,4 @@
 	trctrp_lec.F90
 $(MODEL_LIB)(trcwri.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -7179,5 +6986,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -7228,5 +7034,4 @@
 	trcwri.F90
 $(MODEL_LIB)(trczdf_exp.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -7236,5 +7041,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -7306,5 +7110,4 @@
 	trczdf_exp.F90
 $(MODEL_LIB)(trczdf_imp.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -7314,5 +7117,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -7384,5 +7186,4 @@
 	trczdf_imp.F90
 $(MODEL_LIB)(trczdf_iso.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -7392,5 +7193,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -7465,5 +7265,4 @@
 	trczdf_iso.F90
 $(MODEL_LIB)(trczdf_iso_vopt.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -7473,5 +7272,4 @@
 	ldftra_oce.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -7545,5 +7343,4 @@
 	trczdf_iso_vopt.F90
 $(MODEL_LIB)(trdmld_trc.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -7554,5 +7351,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -7651,5 +7447,4 @@
 	trdmld_trc_oce.F90
 $(MODEL_LIB)(trdmld_trc_rst.o) :	\
-	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -7663,5 +7458,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -7866,11 +7660,9 @@
 	zpshde.F90
 $(MODEL_LIB)(zpshde_trc.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
